## golang-github-twpayne-go-vfs 4.1.0

=== Makefile ===
GO?=go
GOLANGCI_LINT_VERSION=$(shell grep GOLANGCI_LINT_VERSION: .github/workflows/main.yml | awk '{ print $$2 }')

.PHONY: smoketest
smoketest: test lint

.PHONY: test
test:
	${GO} test ./...

.PHONY: lint
lint: ensure-golangci-lint
	./bin/golangci-lint run

.PHONY: format
format: ensure-gofumports
	find . -name \*.go | xargs ./bin/gofumports -local github.com/twpayne/chezmoi -w

.PHONY: ensure-tools
ensure-tools: \
	ensure-gofumports \
	ensure-golangci-lint

.PHONY: ensure-gofumports
ensure-gofumports:
	if [ ! -x bin/gofumports ] ; then \
		mkdir -p bin ; \
		GOBIN=$(shell pwd)/bin ${GO} install mvdan.cc/gofumpt/gofumports@latest ; \
	fi

.PHONY: ensure-golangci-lint
ensure-golangci-lint:
	if [ ! -x bin/golangci-lint ] || ( ./bin/golangci-lint --version | grep -Fqv "version ${GOLANGCI_LINT_VERSION}" ) ; then \
		curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- v${GOLANGCI_LINT_VERSION} ; \
	fi

=== debian/changelog ===
golang-github-twpayne-go-vfs (4.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1024485)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 20 Nov 2022 09:56:04 -0500

=== debian/control ===
Source: golang-github-twpayne-go-vfs
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Ryan Kavanagh <rak@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-stretchr-testify-dev,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-twpayne-go-vfs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-twpayne-go-vfs.git
Homepage: https://github.com/twpayne/go-vfs
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/twpayne/go-vfs

Package: golang-github-twpayne-go-vfs-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-stretchr-testify-dev,
 ${misc:Depends},
Enhances:
 golang-github-go-git-go-billy-dev,
 golang-github-spf13-afero-dev,
Description: easy-to-test abstraction of the os and io packages
 This library provides:
  * File system abstraction layer for commonly-used os and io functions
    from the standard library.
  * Powerful and easy-to-use declarative testing framework, vfst. You
    declare the desired state of the filesystem after your code has run, and
    vfst tests that the filesystem matches that state.
 It is compatible with afero and go-billy.
